Project

General

Profile

Bug #7468

Bridge can't upload job archives with UTF8 characters in directory names on systems with default encoding ASCII

Added by Evgeny Novikov over 3 years ago. Updated about 1 month ago.

Status:
Rejected
Priority:
High
Assignee:
-
Category:
Bridge
Target version:
-
Start date:
08/13/2016
Due date:
% Done:

0%

Estimated time:
Detected in build:
svn
Platform:
Published in build:

Description

I got the following error:

Internal Server Error: /jobs/ajax/upload_job/8e14b89f8fa0768431f57e833eee3d5e/
Traceback (most recent call last):
  File "/var/www/bridge/jobs/views.py", line 659, in upload_job
    job_dir = extract_tar_temp(f)
  File "/var/www/bridge/bridge/utils.py", line 131, in extract_tar_temp
    tar.extractall(tmp_dir_name.name)
  File "/usr/lib/python3.4/tarfile.py", line 1980, in extractall
    self.extract(tarinfo, path, set_attrs=not tarinfo.isdir())
  File "/usr/lib/python3.4/tarfile.py", line 2019, in extract
    set_attrs=set_attrs)
  File "/usr/lib/python3.4/tarfile.py", line 2090, in _extract_member
    self.makedir(tarinfo, targetpath)
  File "/usr/lib/python3.4/tarfile.py", line 2119, in makedir
    os.mkdir(targetpath, 0o700)
UnicodeEncodeError: 'ascii' codec can't encode character '\u03b1' in position 17: ordinal not in range(128)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.4/dist-packages/django/core/handlers/base.py", line 149, in get_response
    response = self.process_exception_by_middleware(e, request)
  File "/usr/local/lib/python3.4/dist-packages/django/core/handlers/base.py", line 147, in get_response
    response = wrapped_callback(request, *callback_args, **callback_kwargs)
  File "/var/www/bridge/bridge/utils.py", line 79, in wait
    res = f(*args, **kwargs)
  File "/usr/local/lib/python3.4/dist-packages/django/contrib/auth/decorators.py", line 23, in _wrapped_view
    return view_func(request, *args, **kwargs)
  File "/var/www/bridge/bridge/utils.py", line 40, in wrapper
    res = f(*args, **kwargs)
  File "/var/www/bridge/jobs/views.py", line 661, in upload_job
    logger.exception("Archive extraction failed" % e, stack_info=True)
TypeError: not all arguments converted during string formatting

Besides, the second exception isn't likely intended.

History

#1

Updated by Evgeny Novikov about 1 month ago

  • Assignee deleted (Vladimir Gratinskiy)
  • Status changed from New to Rejected

We do not consider systems with default encoding ASCII.

Also available in: Atom PDF